For the complete documentation index, see llms.txt. This page is also available as Markdown.

Employment History Details

Retrieves all UANs linked to a given PAN and/or mobile number, fetches associated employment history records, and computes a name-match score against the user-provided name to verify identity accuracy.

employment_history

POST https://secctrl.tutelar.io/api/v1/kyc/banking/employment_history

Post parameters description is given below,

Post Parameter
Type
Is Mandatory
Dependency Condition
Description

uanNumber

String

Conditional Mandatory

Either uanNumber, panNumber or mobileNumber is Required

UAN Number

panNumber

String

Conditional Mandatory

Either uanNumber, panNumber or mobileNumber is Required

PAN Number

mobileNumber

String

Conditional Mandatory

Either uanNumber, panNumber or mobileNumber is Required

Mobile Number

employeeName

String

Optional

Employee Name is not required

Employee Name

Sample Post Parameters

{
    "uanNumber":  "102040138045", //Conditional Mandatory
    "panNumber": "MDQPS6020K", //Conditional Mandatory
    "mobileNumber": "9360104074", //Conditional Mandatory
    "employeeName": "Siva" //Optional
}
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "02776c8c-30e7-4cee-a2c0-dbdfddfe2188",
    "status": "completed",
    "result": {
        "uanNumber": "102040138xxx",
        "employmentHistory": [
            {
                "name": "MANIKANDAN SIVA",
                "establishmentName": "ACCUPAYD TECH PRIVATE LIMITED",
                "memberId": "MDMDU263066800000100xxx",
                "dateOfJoining": "2025-04-01",
                "nameMatchScore": "0.0"
            },
            {
                "name": "MANIKANDAN SIVA",
                "establishmentName": "IPPOPAY TECHNOLOGIES PRIVATE LIMITED",
                "memberId": "TNAMB223749300000110xxx",
                "dateOfJoining": "2024-01-01",
                "dateOfExit": "2025-03-31",
                "nameMatchScore": "0.0"
            }
        ]
    },
    "requested_at": "2026-07-02T14:54:18.841Z",
    "completed_at": "2026-07-02T14:54:19.872Z"
}

Get details

This Get details API using to fetch the latest updated response when the above API gave the status as in-progress by using the reference_id

GET https://secctrl.tutelar.io/api/v1/kyc/banking/employment_history

Query parameters description is given below,

Query Parameter
Type
Is Mandatory
Description

reference_id

String

Yes

Reference Id

Last updated